Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.skin
Class SkinBean

    java.lang.Object
      java.util.AbstractMap
          org.richfaces.skin.SkinBean

All Implemented Interfaces:
  java.util.Map, org.richfaces.skin.Skin

    public class SkinBean

extends java.util.AbstractMap
implements org.richfaces.skin.Skin

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:59:40 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface org.richfaces.skin.Skin
`org.richfaces.skin.Skin.Preferable`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from interface org.richfaces.skin.Skin
`ACTIVETAB_STYLE_FONT, ACTIVETAB_WEIGHT_FONT, ADDITIONAL_BACKGROUND_COLOR, BASE_SKIN, BUTTON_FAMILY_FONT, BUTTON_RADIUS_CORNER, BUTTON_SIZE_FONT, BUTTON_STYLE_FONT, BUTTON_WEIGHT_FONT, CONTROL_BACKGROUND_COLOR, CONTROL_BORDER_COLOR, DISABLED_TAB_STYLE_FONT, DISABLED_TAB_WEIGHT_FONT, EXTENDED_STYLE_SHEET, GENERAL_BACKGROUND_COLOR, GENERAL_LINK_COLOR, GENERAL_SIZE_FONT, GENERAL_STYLE_SHEET, GENERAL_TEXT_COLOR, GRADIENT_TYPE, HEADER_BACKGROUND_COLOR, HEADER_FAMILY_FONT, HEADER_GRADIENT_COLOR, HEADER_SIZE_FONT, HEADER_TEXT_COLOR, INTERFACE_LEVEL_3D, LOAD_STYLE_SHEETS, OVER_ALL_BACKGROUND, PANEL_RADIUS_CORNER, PANEL_TEXT_COLOR, PREFERABLE_TAB_POSITION, PREFERABLE_TAB_TEXT_DIRECTION, PREFERABLE_TAB_TEXT_ORIENTATION, SELECT_BACKGROUND_COLOR, SELECT_CONTROL_COLOR, SHADOW_BACKGROUND_COLOR, SHADOW_OPACITY, TAB_BACKGROUND_COLOR, TAB_FAMILY_FONT, TAB_RADIUS_CORNER, TAB_SIZE_FONT, TAB_STYLE_FONT, TAB_WEIGHT_FONT, TABLE_BACKGROUND_COLOR, TABLE_BORDER_COLOR, TRIM_COLOR`

Constructor Summary
`SkinBean()`

Method Summary
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsProperty(java.lang.String name)`
`java.util.Set` | `entrySet()`
`java.lang.Object` | `get(java.lang.Object key)`
`java.lang.Integer` | `getColorParameter(javax.faces.context.FacesContext context, java.lang.String name)`
`java.lang.Integer` | `getColorParameter(javax.faces.context.FacesContext context, java.lang.String name, java.lang.Object defaultValue)`
`java.lang.Integer` | `getIntegerParameter(javax.faces.context.FacesContext context, java.lang.String name)`
`java.lang.Integer` | `getIntegerParameter(javax.faces.context.FacesContext context, java.lang.String name, java.lang.Object defaultValue)`
`java.lang.String` | `getName()`
`java.lang.Object` | `getParameter(javax.faces.context.FacesContext context, java.lang.String name)`
`java.lang.Object` | `getParameter(javax.faces.context.FacesContext context, java.lang.String name, java.lang.Object defaultValue)`
`int` | `hashCode(javax.faces.context.FacesContext context)`
`boolean` | `isEmpty()`
`static java.lang.Object` | `skinHashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsValue, equals, hashCode, keySet, put, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SkinBean

    public SkinBean()

Method Detail

### hashCode

    public int hashCode(javax.faces.context.FacesContext context)

  Specified by:
    `hashCode` in interface `org.richfaces.skin.Skin`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`
  Specified by:
    `entrySet` in class `java.util.AbstractMap`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map`
  Overrides:
    `containsKey` in class `java.util.AbstractMap`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map`
  Overrides:
    `get` in class `java.util.AbstractMap`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.AbstractMap`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map`
  Overrides:
    `isEmpty` in class `java.util.AbstractMap`

### getParameter

    public java.lang.Object getParameter(javax.faces.context.FacesContext context,
                                         java.lang.String name)

  Specified by:
    `getParameter` in interface `org.richfaces.skin.Skin`

### getParameter

    public java.lang.Object getParameter(javax.faces.context.FacesContext context,
                                         java.lang.String name,
                                         java.lang.Object defaultValue)

  Specified by:
    `getParameter` in interface `org.richfaces.skin.Skin`

### containsProperty

    public boolean containsProperty(java.lang.String name)

  Specified by:
    `containsProperty` in interface `org.richfaces.skin.Skin`

### skinHashCode

    public static java.lang.Object skinHashCode()

### getColorParameter

    public java.lang.Integer getColorParameter(javax.faces.context.FacesContext context,
                                               java.lang.String name)

  Specified by:
    `getColorParameter` in interface `org.richfaces.skin.Skin`

### getColorParameter

    public java.lang.Integer getColorParameter(javax.faces.context.FacesContext context,
                                               java.lang.String name,
                                               java.lang.Object defaultValue)

  Specified by:
    `getColorParameter` in interface `org.richfaces.skin.Skin`

### getIntegerParameter

    public java.lang.Integer getIntegerParameter(javax.faces.context.FacesContext context,
                                                 java.lang.String name)

  Specified by:
    `getIntegerParameter` in interface `org.richfaces.skin.Skin`

### getIntegerParameter

    public java.lang.Integer getIntegerParameter(javax.faces.context.FacesContext context,
                                                 java.lang.String name,
                                                 java.lang.Object defaultValue)

  Specified by:
    `getIntegerParameter` in interface `org.richfaces.skin.Skin`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.richfaces.skin.Skin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.